package com.base.task.model.input;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class StationArcInput extends Input {

    private String number1 = "1";
    @ApiModelProperty("wx代号")
    private String satelliteCode;
    @ApiModelProperty("WX质量 kg")
    private String mass;
    @ApiModelProperty("迎风面积 平方米")
    private String windArea;
    @ApiModelProperty("光压面积，平方米")
    private String shineArea;
    @ApiModelProperty("地球重力场模型阶数1，默认32.0")
    private String earthGravityFieldModeOrde1;
    @ApiModelProperty("地球重力场模型阶数2，默认32.0")
    private String earthGravityFieldModeOrde2;

    private String kong = "lineBreak";
    private String number2="2";
    private String startTime;
    private String endTime;
    private String value="1.0";

    private String kong1 = "lineBreak";
    private String number3="3";
    private String longitude;
    private String latitude;
    private String altitude;
    private String antMinTrackAngle;
    private String antMinRecvElevation;
    private String sundialCorner;

    private String kong2 = "lineBreak";
    private String number4="4";
    private String value1="3";

    private String kong3 = "lineBreak";
    private String number5="5";
    private String value33="/";

    private String kong4 = "lineBreak";
    private String number6="6";
    private String startTime1=startTime;
    private String endTime1=endTime;
    private String value2="1.0";
    private String value3="60.0";

    private String kong5 = "lineBreak";
    private String number7="7";
    private String value4="1";
    private String value5="1";

    private String kong6 = "lineBreak";
    private String number8="8";
    @ApiModelProperty("圈号")
    private String orbitNum;
    private String value6;
    private String value7;

    private String kong7 = "lineBreak";
    private String number9="9";
    @ApiModelProperty("轨道半径长 米")
    private String semiMajorAxis;
    @ApiModelProperty("偏心率")
    private String eccentricity;
    @ApiModelProperty("轨道倾角")
    private String inclination;
    @ApiModelProperty("升交点赤经")
    private String raan;
    @ApiModelProperty("近地点俯角")
    private String argumentOfPerigee;
    @ApiModelProperty("平近点角")
    private String meanAnoMaly;

    private String kong8 = "lineBreak";
    private String number10="10";
    private String value8="0";
    private String value9="0";
    private String value10="0";
    private String value11="0";
    private String value12="0";
    private String value13="0";

    private String kong9 = "lineBreak";
    private String number11="11";
    private String value14="0";
    private String value15="0";
    private String value16="0";
    private String value17="0";
    private String value18="0";
    private String value19="0";
    private String value20="1";
    private String value21="0";
    private String value22="0";

    private String kong10 = "lineBreak";
    private String number12="12";
    private String value23="2";
    private String value24="0";
    private String value25="0";
    private String value26="0";
    private String value27="0";
    private String value28="0";
    private String value29="0";
    private String value30="0";
    private String value31="0";





}
