package com.plan.api.model;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class StripRpcDTO {

    private String id;
    private String reqId;
    private String targetId;
    private String targetName;
    private String priority;
    private String windowId;
    private String satelliteId;
    private String satelliteCode;
    private String payloadId;
    private Date observationStartTime;
    private Date observationEndTime;
    private String rollAngle;
    private String trbutId;
    private String createTime;
    private String updateTime;
    private String coverageRate;
    private String circle;
    private List<String> girdCodeList;
    private String workMode;
    private String gridIds;
    private String parentId;
    @ApiModelProperty("是否被选中，1：不是；2：是")
    private Integer isSelected;
}
