package com.base.plan.model.dto.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

@Data
public class FzTaskRunningStateReqDTO {

    @ApiModelProperty("请求开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date taskReqStartTime;
    @ApiModelProperty("请求结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date taskReqEndTime;
    @ApiModelProperty("任务运行状态")
    private List<String> taskState;
    @ApiModelProperty("需求id")
    private List<String> reqIds;

}
