package com.base.plan.model.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.beans.Transient;
import java.util.Date;
import java.util.List;

@Data
@TableName("area_optimization_result_info")
public class AreaOptimizationResultInfo {

    @ApiModelProperty("id")
    @TableId
    private String id;
    @ApiModelProperty("需求id")
    private String reqId;
    @ApiModelProperty("条带id")
    private String stripId;
    @ApiModelProperty("载荷id")
    private String payloadId;
    @ApiModelProperty("创建时间")
    private Date createDate;
    @ApiModelProperty("观测目标id")
    private String parentId;
    @ApiModelProperty("观测目标名称")
    private String parentName;
    @ApiModelProperty("覆盖率")
    private double coverage;
    @ApiModelProperty("任务开始时间")
    private Date startTime;
    @ApiModelProperty("任务结束时间")
    private Date endTime;

    @ApiModelProperty("条带id")
    @TableField(exist = false)
    private List<String> stripIds;
}
