package com.base.plan.controller.rpc;


import com.base.plan.service.StripService;
import com.plan.api.model.StripRpcDTO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

@RequestMapping("/rpc/strip")
@RestController
@Slf4j
public class StripRpcController {

    @Resource
    private StripService stripService;

    @RequestMapping(value = "/getStripInfo", method = RequestMethod.POST)
    public List<StripRpcDTO> getStripInfo(@RequestBody List<String> stripIds) {
        return stripService.getStripInfo(stripIds);
    }
}
