package com.base.plan.model.dto;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel("优选结果响应对象")
public class WindowResourceDTO {

    @ApiModelProperty("卫星编号")
    private String satelliteCode;

    @ApiModelProperty("圈号")
    private String circle;

    @ApiModelProperty("站址")
    private String stationName;

    @ApiModelProperty("开始时间")
    private Date receiveStartTime;

    @ApiModelProperty("结束时间")
    private Date receiveEndTime;

    @ApiModelProperty("时长")
    private Double duration;

    @ApiModelProperty("条带id")
    private String stripId;

    @ApiModelProperty("目标名称")
    private String targetName;

    @ApiModelProperty("天线口径")
    private String txkj;

    @ApiModelProperty("接收速率")
    private Double jssl;

    @ApiModelProperty("时效性要求 0-满足 1-不满足")
    private Integer timeRequire = 1;


}
