package com.base.track.model.dto.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class QueryEphListDTO {

    @ApiModelProperty("开始时间")
    private Date startTime;
    @ApiModelProperty("结束时间")
    private Date endTime;
    @ApiModelProperty("卫星时间")
    private String satelliteId;
    @ApiModelProperty("载荷类型")
    private String payloadType;
    @ApiModelProperty("北点的纬度")
    private Double northLat;
    @ApiModelProperty("南点的纬度")
    private Double southLat;
    @ApiModelProperty("东点的经度")
    private Double eastLon;
    @ApiModelProperty("西点的经度")
    private Double westLon;
    @ApiModelProperty("升降轨，0升轨，1降轨")
    private Integer upDown;
    @ApiModelProperty("编号")
    private String code;
}
