package com.base.track.model.dto.response;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class SatellitePayloadDTO {

    @ApiModelProperty("卫星Id")
    private String id;

    @ApiModelProperty("卫星名称")
    private String satelliteName;

    @ApiModelProperty("卫星编号")
    private String satelliteCode;

    @ApiModelProperty("载荷类型")
    private  String type;

    @ApiModelProperty("分辨率")
    private int groundResolution;

    @ApiModelProperty("宽幅")
    private int swathWidth;
}
